Subject: bug#46384: 28.0.50; 100% cpu in line_number_display_width

From: Aaron Jensen <[email-masked]>
Date: Wed, 10 Feb 2021 10:06:56 -0600

On Wed, Feb 10, 2021 at 8:12 AM Robert Pluim <[email-masked]> wrote:
>
> >>>>> On Wed, 10 Feb 2021 00:28:00 -0500, Richard Stallman <[email-masked]> said:
>     Richard>                                                However, the main
>     >> problem in this case is that GDB is not easily available,
>
>     Richard> What is the obstacle?
>
> The original reporter is on macOS, which requires debuggers to be
> signed before they're allowed to control other programs. Performing
> that signing is a hassle (itʼs possible it requires administrator
> privileges as well), itʼs easy to get wrong, and you need to redo it
> every time you upgrade gdb. See
> <https://sourceware.org/gdb/wiki/PermissionsDarwin>

I actually managed to get gdb codesigned this morning, but I don't see
any symbols.

(gdb) backtrace
#0  0x00007fff6f38ddfa in ?? ()
#1  0x00007fff6f38e1fd in ?? ()
#2  0x0000000000000000 in ?? ()
(gdb) info threads
  Id   Target Id                     Frame
* 2    Thread 0x3207 of process 6187 0x00007fff6f38ddfa in ?? ()
  3    Thread 0x1e43 of process 6187 0x00007fff6f3960fe in ?? ()
  5    Thread 0x2107 of process 6187 0x00007fff6f3943d6 in ?? ()
  16   Thread 0x3403 of process 6187 0x00007fff6f38f4ce in ?? ()
  20   Thread 0x5227 of process 6187 0x00007fff6f38ddfa in ?? ()

How I built:

./configure CFLAGS="-g3 -O0" CXXFLAGS="-g -O0"
--enable-checking='yes,glyphs' --enable-check-lisp-object-type \
            --disable-silent-rules \
            --with-ns \
            --disable-ns-self-contained \
            --with-modules \
            --with-xml2 \
            --with-gnutls \
            --with-imagemagick \
            --with-rsvg \
            --without-dbus \
            --without-pop \
            --without-makeinfo
gmake -j16

Any ideas?